SBUILD-DEBIAN-DEVELOPER-SETUP(1)

NAME
sbuild-debian-developer-setup - set up sbuild so that packages for Debian unstable can be built

SYNOPSIS
sbuild-debian-developer-setup [-h|--help] [--distribution=distribution] [--suite=suite] [--arch=arch]

DESCRIPTION
sbuild-debian-developer-setup is a convenience script to set up an sbuild environment for Debian Developers. When run, it adds the current user to the sbuild group, creates a schroot for building packages for Debian unstable in /srv/chroot/unstable-$arch-sbuild, and creates a cronjob which updates said schroot daily. The script assumes you are on an un-metered internet connection (daily schroot updates might be costly otherwise).

OPTIONS

-h, --help
    Display this manual.

-V, --version
    Print version information.

--distribution=distribution
    Set up an sbuild chroot for distribution. Defaults to "debian".

--suite=suite
    Set up an sbuild chroot for suite. Defaults to "unstable".

--arch=arch
    Set up an sbuild chroot with architecture arch. Defaults to system arch.

EXAMPLES
To set up sbuild and build the hello world Debian package, use:

% sudo sbuild-debian-developer-setup↵
% newgrp sbuild↵
% sbuild -d unstable hello↵

AUTHORS
Michael Stapelberg.

COPYRIGHT
Copyright © 2018 Michael Stapelberg <stapelberg@debian.org>.

SEE ALSO
sbuild(1).